"""Add allowed_prohibited to users

Revision ID: fe9d48f93934
Revises: 3b867a1100c1
Create Date: 2024-11-21 23:03:08.103515

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision: str = 'fe9d48f93934'
down_revision: Union[str, None] = '3b867a1100c1'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('allowed_prohibited', sa.Boolean(), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('users', 'allowed_prohibited')
    # ### end Alembic commands ###
